"use strict";

var _ExportButton = require("../ExportButton");

describe('ExportButton', function () {
  describe('getRelatedIds', function () {
    it('should ignore null or undefined values', function () {
      var books = [{
        id: 1,
        author_id: 123,
        title: 'Pride and Prejudice'
      }, {
        id: 2,
        author_id: null
      }, {
        id: 3
      }];
      expect((0, _ExportButton.getRelatedIds)(books, 'author_id')).toEqual([123]);
    });
    it('should aggregate scalar related ids', function () {
      var books = [{
        id: 1,
        author_id: 123,
        title: 'Pride and Prejudice'
      }, {
        id: 2,
        author_id: 123,
        title: 'Sense and Sensibility'
      }, {
        id: 3,
        author_id: 456,
        title: 'War and Peace'
      }];
      expect((0, _ExportButton.getRelatedIds)(books, 'author_id')).toEqual([123, 456]);
    });
    it('should aggregate arrays of related ids', function () {
      var books = [{
        id: 1,
        tag_ids: [1, 2],
        title: 'Pride and Prejudice'
      }, {
        id: 2,
        tag_ids: [2, 3],
        title: 'Sense and Sensibility'
      }, {
        id: 3,
        tag_ids: [4],
        title: 'War and Peace'
      }];
      expect((0, _ExportButton.getRelatedIds)(books, 'tag_ids')).toEqual([1, 2, 3, 4]);
    });
  });
});