"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _assert = _interopRequireDefault(require("assert"));

var _enzyme = require("enzyme");

var _BooleanField = require("../BooleanField");

describe('<BooleanField />', function () {
  it('should display tick if value is true', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_BooleanField.BooleanField, {
      record: {
        published: true
      },
      source: "published"
    }));

    _assert.default.ok(wrapper.first().is('BooleanField__Typography'));

    _assert.default.equal(wrapper.first().find('pure(DoneIcon)').length, 1);
  });
  it('should display cross if value is false', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_BooleanField.BooleanField, {
      record: {
        published: false
      },
      source: "published"
    }));

    _assert.default.ok(wrapper.first().is('BooleanField__Typography'));

    _assert.default.equal(wrapper.first().find('pure(ClearIcon)').length, 1);
  });
  it('should not display anything if value is null', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_BooleanField.BooleanField, {
      record: {
        published: null
      },
      source: "published"
    }));

    _assert.default.equal(wrapper.first().children().length, 0);
  });
  it('should use custom className', function () {
    return _assert.default.deepEqual((0, _enzyme.shallow)(_react.default.createElement(_BooleanField.BooleanField, {
      record: {
        foo: true
      },
      source: "foo",
      className: "foo"
    })).prop('className'), 'foo');
  });
  it('should handle deep fields', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_BooleanField.BooleanField, {
      record: {
        foo: {
          bar: true
        }
      },
      source: "foo.bar"
    }));

    _assert.default.ok(wrapper.first().is('BooleanField__Typography'));

    _assert.default.equal(wrapper.first().find('pure(DoneIcon)').length, 1);
  });
});