"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _assert = _interopRequireDefault(require("assert"));

var _enzyme = require("enzyme");

var _FunctionField = _interopRequireDefault(require("../FunctionField"));

describe('<FunctionField />', function () {
  it('should render using the render function', function () {
    var record = {
      foo: 'bar'
    };
    var wrapper = (0, _enzyme.render)(_react.default.createElement(_FunctionField.default, {
      record: record,
      render: function render(r) {
        return r.foo.substr(0, 2);
      }
    }));

    _assert.default.equal(wrapper.text(), 'ba');
  });
  it('should use custom className', function () {
    return _assert.default.deepEqual((0, _enzyme.shallow)(_react.default.createElement(_FunctionField.default, {
      record: {
        foo: true
      },
      render: function render(r) {
        return r.foo.substr(0, 2);
      },
      className: "foo"
    })).prop('className'), 'foo');
  });
});