"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _assert = _interopRequireDefault(require("assert"));

var _enzyme = require("enzyme");

var _ReferenceField = require("../ReferenceField");

var _TextField = _interopRequireDefault(require("../TextField"));

describe('<ReferenceField />', function () {
  it('should render a link to specified resourceLinkPath', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_ReferenceField.ReferenceFieldView, {
      record: {
        postId: 123
      },
      source: "postId",
      referenceRecord: {
        id: 123,
        title: 'foo'
      },
      reference: "posts",
      resource: "comments",
      resourceLinkPath: "/posts/123",
      basePath: "/comments"
    }, _react.default.createElement(_TextField.default, {
      source: "title"
    })));
    var linkElement = wrapper.find('Link');

    _assert.default.equal(linkElement.prop('to'), '/posts/123');
  });
  it('should render no link when resourceLinkPath is not specified', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_ReferenceField.ReferenceFieldView, {
      record: {
        fooId: 123
      },
      source: "fooId",
      referenceRecord: {
        id: 123,
        title: 'foo'
      },
      reference: "bar",
      basePath: "/foo",
      resourceLinkPath: false
    }, _react.default.createElement(_TextField.default, {
      source: "title"
    })));
    var linkElement = wrapper.find('WithStyles(Link)');

    _assert.default.equal(linkElement.length, 0);
  });
});