"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _assert = _interopRequireDefault(require("assert"));

var _enzyme = require("enzyme");

var _TextField = _interopRequireDefault(require("../TextField"));

describe('<TextField />', function () {
  it('should display record specific value as plain text', function () {
    var record = {
      title: "I'm sorry, Dave. I'm afraid I can't do that."
    };
    var wrapper = (0, _enzyme.render)(_react.default.createElement(_TextField.default, {
      record: record,
      source: "title"
    }));

    _assert.default.equal(wrapper.text(), "I'm sorry, Dave. I'm afraid I can't do that.");
  });
  it('should handle deep fields', function () {
    var record = {
      foo: {
        title: "I'm sorry, Dave. I'm afraid I can't do that."
      }
    };
    var wrapper = (0, _enzyme.render)(_react.default.createElement(_TextField.default, {
      record: record,
      source: "foo.title"
    }));

    _assert.default.equal(wrapper.text(), "I'm sorry, Dave. I'm afraid I can't do that.");
  });
});