"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _assert = _interopRequireDefault(require("assert"));

var _enzyme = require("enzyme");

var _UrlField = _interopRequireDefault(require("../UrlField"));

describe('<UrlField />', function () {
  it('should display a link', function () {
    var record = {
      website: 'https://en.wikipedia.org/wiki/HAL_9000'
    };
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_UrlField.default, {
      record: record,
      source: "website"
    }));

    _assert.default.equal(wrapper.find('A').prop('href'), 'https://en.wikipedia.org/wiki/HAL_9000');

    _assert.default.equal(wrapper.text(), 'https://en.wikipedia.org/wiki/HAL_9000');
  });
  it('should handle deep fields', function () {
    var record = {
      foo: {
        website: 'https://en.wikipedia.org/wiki/HAL_9000'
      }
    };
    var wrapper = (0, _enzyme.mount)(_react.default.createElement(_UrlField.default, {
      record: record,
      source: "foo.website"
    }));

    _assert.default.equal(wrapper.find('A').prop('href'), 'https://en.wikipedia.org/wiki/HAL_9000');

    _assert.default.equal(wrapper.text(), 'https://en.wikipedia.org/wiki/HAL_9000');
  });
});