"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _assert = _interopRequireDefault(require("assert"));

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _SimpleForm = require("../SimpleForm");

var _TextInput = _interopRequireDefault(require("../../input/TextInput"));

describe('<SimpleForm />', function () {
  it('should embed a form with given component children', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_SimpleForm.SimpleForm, null, _react.default.createElement(_TextInput.default, {
      source: "name"
    }), _react.default.createElement(_TextInput.default, {
      source: "city"
    })));
    var inputs = wrapper.find('FormInput');

    _assert.default.deepEqual(inputs.map(function (i) {
      return i.prop('input').props.source;
    }), ['name', 'city']);
  });
  it('should display <Toolbar />', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_SimpleForm.SimpleForm, null, _react.default.createElement(_TextInput.default, {
      source: "name"
    })));
    var button = wrapper.find('WithWidth').dive();

    _assert.default.equal(button.length, 1);
  });
  it('should pass submitOnEnter to <Toolbar />', function () {
    var handleSubmit = function handleSubmit() {};

    var wrapper1 = (0, _enzyme.shallow)(_react.default.createElement(_SimpleForm.SimpleForm, {
      submitOnEnter: false,
      handleSubmit: handleSubmit
    }, _react.default.createElement(_TextInput.default, {
      source: "name"
    })));
    var button1 = wrapper1.find('WithWidth').dive().dive();

    _assert.default.equal(button1.prop('submitOnEnter'), false);

    var wrapper2 = (0, _enzyme.shallow)(_react.default.createElement(_SimpleForm.SimpleForm, {
      submitOnEnter: true,
      handleSubmit: handleSubmit
    }, _react.default.createElement(_TextInput.default, {
      source: "name"
    })));
    var button2 = wrapper2.find('WithWidth').dive().dive();

    _assert.default.equal(button2.prop('submitOnEnter'), true);
  });
});