"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _assert = _interopRequireDefault(require("assert"));

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _BooleanInput = require("../BooleanInput");

describe('<BooleanInput />', function () {
  it('should render as a mui Toggle', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_BooleanInput.BooleanInput, {
      source: "foo",
      input: {}
    })).find('FormGroup');
    var choices = wrapper.find('Input');

    _assert.default.equal(choices.length, 1);

    _assert.default.equal(choices.prop('type'), 'checkbox');
  });
  it('should be checked if the value is true', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_BooleanInput.BooleanInput, {
      source: "foo",
      input: {
        value: true
      }
    })).find('FormGroup');

    _assert.default.equal(wrapper.find('Input').prop('checked'), true);
  });
  it('should not be checked if the value is false', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_BooleanInput.BooleanInput, {
      source: "foo",
      input: {
        value: false
      }
    })).find('FormGroup');

    _assert.default.equal(wrapper.find('Input').prop('checked'), false);
  });
  it('should not be checked if the value is undefined', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_BooleanInput.BooleanInput, {
      source: "foo",
      input: {}
    })).find('FormGroup');

    _assert.default.equal(wrapper.find('Input').prop('checked'), false);
  });
});