"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _assert = _interopRequireDefault(require("assert"));

var _enzyme = require("enzyme");

var _LongTextInput = require("../LongTextInput");

describe('<LongTextInput />', function () {
  describe('error message', function () {
    it('should not be displayed if field is pristine', function () {
      var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_LongTextInput.LongTextInput, {
        source: "foo",
        meta: {
          touched: false
        }
      }));
      var TextFieldElement = wrapper.find('translate(ResettableTextField)');

      _assert.default.equal(TextFieldElement.prop('helperText'), false);
    });
    it('should not be displayed if field has been touched but is valid', function () {
      var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_LongTextInput.LongTextInput, {
        source: "foo",
        meta: {
          touched: true,
          error: false
        }
      }));
      var TextFieldElement = wrapper.find('translate(ResettableTextField)');

      _assert.default.equal(TextFieldElement.prop('helperText'), false);
    });
    it('should be displayed if field has been touched and is invalid', function () {
      var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_LongTextInput.LongTextInput, {
        source: "foo",
        meta: {
          touched: true,
          error: 'Required field.'
        }
      }));
      var TextFieldElement = wrapper.find('translate(ResettableTextField)');

      _assert.default.equal(TextFieldElement.prop('helperText'), 'Required field.');
    });
  });
});