"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _NullableBooleanInput = require("../NullableBooleanInput");

describe('<NullableBooleanInput />', function () {
  var defaultProps = {
    input: {},
    meta: {},
    classes: {},
    translate: function translate(x) {
      return x;
    }
  };
  it('should give three different choices for true, false or unknown', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_NullableBooleanInput.NullableBooleanInput, (0, _extends2.default)({
      source: "foo"
    }, defaultProps)));
    var MenuItemElements = wrapper.find('Option');
    expect(MenuItemElements.length).toEqual(3);
    var MenuItemElement1 = MenuItemElements.at(0);
    expect(MenuItemElement1.prop('value')).toEqual('');
    expect(MenuItemElement1.children().length).toEqual(0);
    var MenuItemElement2 = MenuItemElements.at(1);
    expect(MenuItemElement2.prop('value')).toEqual('false');
    expect(MenuItemElement2.childAt(0).text()).toEqual('ra.boolean.false');
    var MenuItemElement3 = MenuItemElements.at(2);
    expect(MenuItemElement3.prop('value')).toEqual('true');
    expect(MenuItemElement3.childAt(0).text()).toEqual('ra.boolean.true');
  });
});