"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styles = require("@material-ui/core/styles");

var _compose = _interopRequireDefault(require("recompose/compose"));

var _classnames = _interopRequireDefault(require("classnames"));

var _raCore = require("ra-core");

var _reactFontawesome = require("@fortawesome/react-fontawesome");

var _faCircleNotch = require("@fortawesome/free-solid-svg-icons/faCircleNotch");

var styles = function styles(theme) {
  var _container;

  return {
    container: (_container = {
      display: 'flex',
      flexDirection: 'column',
      justifyContent: 'center'
    }, (0, _defineProperty2.default)(_container, theme.breakpoints.up('md'), {
      height: '100%'
    }), (0, _defineProperty2.default)(_container, theme.breakpoints.down('sm'), {
      height: '100vh',
      marginTop: '-3em'
    }), _container),
    icon: {
      width: '9em',
      height: '9em'
    },
    message: {
      textAlign: 'center',
      fontFamily: 'Roboto, sans-serif',
      opacity: 0.5,
      margin: '0 1em'
    }
  };
};

var Loading = function Loading(_ref) {
  var classes = _ref.classes,
      className = _ref.className,
      translate = _ref.translate,
      _ref$loadingPrimary = _ref.loadingPrimary,
      loadingPrimary = _ref$loadingPrimary === void 0 ? 'ra.page.loading' : _ref$loadingPrimary,
      _ref$loadingSecondary = _ref.loadingSecondary,
      loadingSecondary = _ref$loadingSecondary === void 0 ? 'ra.message.loading' : _ref$loadingSecondary;
  return _react.default.createElement("div", {
    className: (0, _classnames.default)(classes.container, className)
  }, _react.default.createElement("div", {
    className: classes.message
  }, _react.default.createElement(_reactFontawesome.FontAwesomeIcon, {
    className: "m-3",
    size: "2x",
    icon: _faCircleNotch.faCircleNotch,
    spin: true
  }), _react.default.createElement("h1", null, translate(loadingPrimary)), _react.default.createElement("div", null, translate(loadingSecondary), ".")));
};

Loading.propTypes = {
  classes: _propTypes.default.object,
  className: _propTypes.default.string,
  translate: _propTypes.default.func.isRequired,
  loadingPrimary: _propTypes.default.string,
  loadingSecondary: _propTypes.default.string
};
Loading.defaultProps = {
  loadingPrimary: 'ra.page.loading',
  loadingSecondary: 'ra.message.loading'
};
var enhance = (0, _compose.default)((0, _styles.withStyles)(styles), _raCore.translate);

var _default = enhance(Loading);

exports.default = _default;
module.exports = exports.default;