"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

var _styles = require("@material-ui/core/styles");

var _HotTub = _interopRequireDefault(require("@material-ui/icons/HotTub"));

var _History = _interopRequireDefault(require("@material-ui/icons/History"));

var _compose = _interopRequireDefault(require("recompose/compose"));

var _classnames = _interopRequireDefault(require("classnames"));

var _raCore = require("ra-core");

var _Title = _interopRequireDefault(require("./Title"));

var styles = function styles(theme) {
  var _container;

  return {
    container: (_container = {
      display: 'flex',
      flexDirection: 'column',
      justifyContent: 'center'
    }, (0, _defineProperty2.default)(_container, theme.breakpoints.up('md'), {
      height: '100%'
    }), (0, _defineProperty2.default)(_container, theme.breakpoints.down('sm'), {
      height: '100vh',
      marginTop: '-3em'
    }), _container),
    icon: {
      width: '9em',
      height: '9em'
    },
    message: {
      textAlign: 'center',
      fontFamily: 'Roboto, sans-serif',
      opacity: 0.5,
      margin: '0 1em'
    },
    toolbar: {
      textAlign: 'center',
      marginTop: '2em'
    }
  };
};

function goBack() {
  history.go(-1);
}

var NotFound = function NotFound(_ref) {
  var classes = _ref.classes,
      className = _ref.className,
      translate = _ref.translate,
      title = _ref.title,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["classes", "className", "translate", "title"]);
  return _react.default.createElement("div", (0, _extends2.default)({
    className: (0, _classnames.default)(classes.container, className)
  }, rest), _react.default.createElement(_Title.default, {
    defaultTitle: title
  }), _react.default.createElement("div", {
    className: classes.message
  }, _react.default.createElement(_HotTub.default, {
    className: classes.icon
  }), _react.default.createElement("h1", null, translate('ra.page.not_found')), _react.default.createElement("div", null, translate('ra.message.not_found'), ".")), _react.default.createElement("div", {
    className: classes.toolbar
  }, _react.default.createElement(_Button.default, {
    variant: "raised",
    icon: _react.default.createElement(_History.default, null),
    onClick: goBack
  }, translate('ra.action.back'))));
};

NotFound.propTypes = {
  classes: _propTypes.default.object,
  className: _propTypes.default.string,
  title: _propTypes.default.string,
  translate: _propTypes.default.func.isRequired
};
var enhance = (0, _compose.default)((0, _styles.withStyles)(styles), _raCore.translate);

var _default = enhance(NotFound);

exports.default = _default;
module.exports = exports.default;