"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _assert = _interopRequireDefault(require("assert"));

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _Responsive = require("../Responsive");

describe('<Responsive>', function () {
  var Small = function Small() {
    return _react.default.createElement("div", null);
  };

  var Medium = function Medium() {
    return _react.default.createElement("div", null);
  };

  var Large = function Large() {
    return _react.default.createElement("div", null);
  };

  it('should render the small component on small screens', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Responsive.Responsive, {
      small: _react.default.createElement(Small, null),
      medium: _react.default.createElement(Medium, null),
      large: _react.default.createElement(Large, null),
      width: "xs"
    }));
    var component = wrapper.find('Small');

    _assert.default.equal(component.length, 1);
  });
  it('should render the small component on small screens and small is null', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Responsive.Responsive, {
      small: null,
      medium: _react.default.createElement(Medium, null),
      large: _react.default.createElement(Large, null),
      width: "xs"
    }));

    _assert.default.equal(wrapper.get(0), null);
  });
  it('should render the medium component on medium screens', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Responsive.Responsive, {
      small: _react.default.createElement(Small, null),
      medium: _react.default.createElement(Medium, null),
      large: _react.default.createElement(Large, null),
      width: "md"
    }));
    var component = wrapper.find('Medium');

    _assert.default.equal(component.length, 1);
  });
  it('should render the medium component on medium screens and medium is null', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Responsive.Responsive, {
      small: _react.default.createElement(Small, null),
      medium: null,
      large: _react.default.createElement(Large, null),
      width: "md"
    }));

    _assert.default.equal(wrapper.get(0), null);
  });
  it('should render the large component on large screens', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Responsive.Responsive, {
      small: _react.default.createElement(Small, null),
      medium: _react.default.createElement(Medium, null),
      large: _react.default.createElement(Large, null),
      width: "lg"
    }));
    var component = wrapper.find('Large');

    _assert.default.equal(component.length, 1);
  });
  it('should render the large component on large screens and large is null', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Responsive.Responsive, {
      small: _react.default.createElement(Small, null),
      medium: _react.default.createElement(Medium, null),
      large: null,
      width: "lg"
    }));

    _assert.default.equal(wrapper.get(0), null);
  });
  it('should render the small component on all screens when no other component is passed', function () {
    _assert.default.equal((0, _enzyme.shallow)(_react.default.createElement(_Responsive.Responsive, {
      small: _react.default.createElement(Small, null),
      width: "xs"
    })).find('Small').length, 1);

    _assert.default.equal((0, _enzyme.shallow)(_react.default.createElement(_Responsive.Responsive, {
      small: _react.default.createElement(Small, null),
      width: "sm"
    })).find('Small').length, 1);

    _assert.default.equal((0, _enzyme.shallow)(_react.default.createElement(_Responsive.Responsive, {
      small: _react.default.createElement(Small, null),
      width: "lg"
    })).find('Small').length, 1);
  });
  it('should render the medium component on all screens when no other component is passed', function () {
    _assert.default.equal((0, _enzyme.shallow)(_react.default.createElement(_Responsive.Responsive, {
      medium: _react.default.createElement(Medium, null),
      width: "xs"
    })).find('Medium').length, 1);

    _assert.default.equal((0, _enzyme.shallow)(_react.default.createElement(_Responsive.Responsive, {
      medium: _react.default.createElement(Medium, null),
      width: "sm"
    })).find('Medium').length, 1);

    _assert.default.equal((0, _enzyme.shallow)(_react.default.createElement(_Responsive.Responsive, {
      medium: _react.default.createElement(Medium, null),
      width: "lg"
    })).find('Medium').length, 1);
  });
  it('should render the large component on all screens when no other component is passed', function () {
    _assert.default.equal((0, _enzyme.shallow)(_react.default.createElement(_Responsive.Responsive, {
      large: _react.default.createElement(Large, null),
      width: "xs"
    })).find('Large').length, 1);

    _assert.default.equal((0, _enzyme.shallow)(_react.default.createElement(_Responsive.Responsive, {
      large: _react.default.createElement(Large, null),
      width: "sm"
    })).find('Large').length, 1);

    _assert.default.equal((0, _enzyme.shallow)(_react.default.createElement(_Responsive.Responsive, {
      large: _react.default.createElement(Large, null),
      width: "lg"
    })).find('Large').length, 1);
  });
  it('should fallback to the large component on medium screens', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Responsive.Responsive, {
      small: _react.default.createElement(Small, null),
      large: _react.default.createElement(Large, null),
      width: "md"
    }));
    var component = wrapper.find('Large');

    _assert.default.equal(component.length, 1);
  });
  it('should fallback to the medium component on small screens', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Responsive.Responsive, {
      medium: _react.default.createElement(Medium, null),
      large: _react.default.createElement(Large, null),
      width: "sm"
    }));
    var component = wrapper.find('Medium');

    _assert.default.equal(component.length, 1);
  });
  it('should fallback to the medium component on large screens', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Responsive.Responsive, {
      small: _react.default.createElement(Small, null),
      medium: _react.default.createElement(Medium, null),
      width: "lg"
    }));
    var component = wrapper.find('Medium');

    _assert.default.equal(component.length, 1);
  });
});