"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactTransitionGroup = require("react-transition-group");

var _Menu = _interopRequireDefault(require("@material-ui/core/Menu"));

var _MenuItem = _interopRequireDefault(require("@material-ui/core/MenuItem"));

var _styles = require("@material-ui/core/styles");

var _FilterNone = _interopRequireDefault(require("@material-ui/icons/FilterNone"));

var _compose = _interopRequireDefault(require("recompose/compose"));

var _classnames = _interopRequireDefault(require("classnames"));

var _raCore = require("ra-core");

var _Button = _interopRequireDefault(require("../button/Button"));

var _BulkDeleteAction = _interopRequireDefault(require("./BulkDeleteAction"));

var styles = function styles(theme) {
  return {
    bulkActionsButton: {
      opacity: 1,
      transition: theme.transitions.create('opacity', {
        easing: theme.transitions.easing.sharp,
        duration: theme.transitions.duration.leavingScreen
      }),
      '&.fade-enter': {
        opacity: 0
      },
      '&.fade-enter-done': {
        opacity: 1
      },
      '&.fade-exit': {
        opacity: 0
      },
      '&.fade-exit-done': {
        opacity: 0
      }
    },
    icon: {
      marginRight: theme.spacing.unit
    }
  };
};

var timeoutDurations = {
  enter: 0,
  exit: 300
};

var sanitizeRestProps = function sanitizeRestProps(_ref) {
  var basePath = _ref.basePath,
      classes = _ref.classes,
      filterValues = _ref.filterValues,
      resource = _ref.resource,
      onUnselectItems = _ref.onUnselectItems,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["basePath", "classes", "filterValues", "resource", "onUnselectItems"]);
  return rest;
};

var BulkActions = function (_Component) {
  (0, _inherits2.default)(BulkActions, _Component);

  function BulkActions() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, BulkActions);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(BulkActions)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "state", {
      isOpen: false,
      activeAction: null
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "storeButtonRef", function (node) {
      _this.anchorElement = node;
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleClick", function () {
      _this.setState({
        isOpen: true
      });
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleClose", function () {
      _this.setState({
        isOpen: false
      });
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleLaunchAction", function (action) {
      _this.setState({
        activeAction: action,
        isOpen: false
      });
    });
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "handleExitAction", function () {
      _this.setState({
        activeAction: null
      });
    });
    return _this;
  }

  (0, _createClass2.default)(BulkActions, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      if (process.env.NODE_ENV !== 'production') {
        console.warn('<BulkActions> is deprecated. Use the bulkActionButtons prop instead.');
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props = this.props,
          basePath = _this$props.basePath,
          classes = _this$props.classes,
          children = _this$props.children,
          className = _this$props.className,
          filterValues = _this$props.filterValues,
          label = _this$props.label,
          resource = _this$props.resource,
          selectedIds = _this$props.selectedIds,
          translate = _this$props.translate,
          rest = (0, _objectWithoutProperties2.default)(_this$props, ["basePath", "classes", "children", "className", "filterValues", "label", "resource", "selectedIds", "translate"]);
      var isOpen = this.state.isOpen;
      return _react.default.createElement(_reactTransitionGroup.CSSTransition, {
        in: selectedIds.length > 0,
        timeout: timeoutDurations,
        mountOnEnter: true,
        unmountOnExit: true,
        classNames: "fade"
      }, _react.default.createElement("div", {
        className: classes.bulkActionsButton
      }, _react.default.createElement(_Button.default, (0, _extends2.default)({
        buttonRef: this.storeButtonRef,
        className: (0, _classnames.default)('bulk-actions-button', className),
        alignIcon: "left",
        "aria-owns": isOpen ? 'bulk-actions-menu' : null,
        "aria-haspopup": "true",
        onClick: this.handleClick
      }, sanitizeRestProps(rest), {
        label: translate(label, {
          _: label,
          smart_count: selectedIds.length
        })
      }), _react.default.createElement(_FilterNone.default, {
        className: classes.icon
      })), _react.default.createElement(_Menu.default, {
        id: "bulk-actions-menu",
        anchorEl: this.anchorElement,
        onClose: this.handleClose,
        open: isOpen
      }, _react.Children.map(children, function (child, index) {
        return _react.default.createElement(_MenuItem.default, (0, _extends2.default)({
          key: index,
          className: (0, _classnames.default)('bulk-actions-menu-item', child.props.className),
          onClick: function onClick() {
            return _this2.handleLaunchAction(index);
          }
        }, sanitizeRestProps(rest)), translate(child.props.label));
      })), _react.Children.map(children, function (child, index) {
        return _this2.state.activeAction === index && (0, _react.cloneElement)(child, {
          basePath: basePath,
          filterValues: filterValues,
          onExit: _this2.handleExitAction,
          resource: resource,
          selectedIds: selectedIds
        });
      })));
    }
  }]);
  return BulkActions;
}(_react.Component);

BulkActions.propTypes = {
  basePath: _propTypes.default.string,
  classes: _propTypes.default.object,
  className: _propTypes.default.string,
  children: _propTypes.default.node,
  filterValues: _propTypes.default.object,
  label: _propTypes.default.string,
  resource: _propTypes.default.string,
  selectedIds: _propTypes.default.arrayOf(_propTypes.default.any),
  translate: _propTypes.default.func.isRequired
};
BulkActions.defaultProps = {
  children: _react.default.createElement(_BulkDeleteAction.default, null),
  label: 'ra.action.bulk_actions',
  selectedIds: []
};
var EnhancedButton = (0, _compose.default)((0, _styles.withStyles)(styles), _raCore.translate)(BulkActions);
var _default = EnhancedButton;
exports.default = _default;
module.exports = exports.default;