"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _compose = _interopRequireDefault(require("recompose/compose"));

var _Toolbar = _interopRequireDefault(require("@material-ui/core/Toolbar"));

var _Typography = _interopRequireDefault(require("@material-ui/core/Typography"));

var _styles = require("@material-ui/core/styles");

var _colorManipulator = require("@material-ui/core/styles/colorManipulator");

var _raCore = require("ra-core");

var _CardActions = _interopRequireDefault(require("../layout/CardActions"));

var styles = function styles(theme) {
  return {
    toolbar: {
      position: 'absolute',
      top: 0,
      left: 0,
      right: 0,
      zIndex: 3,
      color: theme.palette.type === 'light' ? theme.palette.primary.main : theme.palette.text.primary,
      justifyContent: 'space-between',
      backgroundColor: theme.palette.type === 'light' ? (0, _colorManipulator.lighten)(theme.palette.primary.light, 0.85) : theme.palette.primary.dark,
      minHeight: 64,
      height: 64,
      transition: "".concat(theme.transitions.create('height'), ", ").concat(theme.transitions.create('min-height'))
    },
    toolbarCollapsed: {
      position: 'absolute',
      top: 0,
      left: 0,
      right: 0,
      zIndex: 3,
      minHeight: 0,
      height: 0,
      overflowY: 'hidden',
      transition: theme.transitions.create('all')
    },
    title: {
      flex: '0 0 auto'
    }
  };
};

var BulkActionsToolbar = function BulkActionsToolbar(_ref) {
  var classes = _ref.classes,
      basePath = _ref.basePath,
      filterValues = _ref.filterValues,
      label = _ref.label,
      resource = _ref.resource,
      selectedIds = _ref.selectedIds,
      translate = _ref.translate,
      children = _ref.children,
      rest = (0, _objectWithoutProperties2.default)(_ref, ["classes", "basePath", "filterValues", "label", "resource", "selectedIds", "translate", "children"]);
  return selectedIds.length > 0 ? _react.default.createElement(_Toolbar.default, (0, _extends2.default)({
    "data-test": "bulk-actions-toolbar",
    className: classes.toolbar
  }, (0, _raCore.sanitizeListRestProps)(rest)), _react.default.createElement("div", {
    className: classes.title
  }, _react.default.createElement(_Typography.default, {
    color: "inherit",
    variant: "subheading"
  }, translate(label, {
    _: label,
    smart_count: selectedIds.length
  }))), _react.default.createElement(_CardActions.default, null, _react.Children.map(children, function (child) {
    return (0, _react.cloneElement)(child, {
      basePath: basePath,
      filterValues: filterValues,
      resource: resource,
      selectedIds: selectedIds
    });
  }))) : _react.default.createElement(_Toolbar.default, {
    className: classes.toolbarCollapsed
  });
};

BulkActionsToolbar.propTypes = {
  children: _propTypes.default.node,
  classes: _propTypes.default.object,
  basePath: _propTypes.default.string,
  filterValues: _propTypes.default.object,
  label: _propTypes.default.string,
  resource: _propTypes.default.string,
  selectedIds: _propTypes.default.array,
  translate: _propTypes.default.func.isRequired
};
BulkActionsToolbar.defaultProps = {
  label: 'ra.action.bulk_actions'
};
var enhance = (0, _compose.default)(_raCore.translate, (0, _styles.withStyles)(styles));

var _default = enhance(BulkActionsToolbar);

exports.default = _default;
module.exports = exports.default;