"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _assert = _interopRequireDefault(require("assert"));

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _DatagridCell = require("../DatagridCell");

describe('<DatagridCell />', function () {
  var Field = function Field() {
    return _react.default.createElement("div", null);
  };

  it('should render as a mui <TableRowColumn /> component', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_DatagridCell.DatagridCell, {
      field: _react.default.createElement(Field, null)
    }));
    var col = wrapper.find('DatagridCell__TdBs');

    _assert.default.equal(col.length, 1);
  });
  it('should pass the Datagrid basePath by default', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_DatagridCell.DatagridCell, {
      basePath: "default",
      field: _react.default.createElement(Field, null)
    }));
    var col = wrapper.find('Field');

    _assert.default.equal(col.prop('basePath'), 'default');
  });
  it('should allow to overwrite the `basePath` field', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_DatagridCell.DatagridCell, {
      basePath: "default",
      field: _react.default.createElement(Field, {
        basePath: "new"
      })
    }));
    var col = wrapper.find('Field');

    _assert.default.equal(col.prop('basePath'), 'new');
  });
});