"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _assert = _interopRequireDefault(require("assert"));

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _Filter = require("../Filter");

describe('<Filter />', function () {
  describe('With form context', function () {
    var defaultProps = {
      context: 'form',
      resource: 'posts'
    };
    it('should render a redux <FilterForm /> component', function () {
      var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Filter.Filter, defaultProps));
      var form = wrapper.find('withProps(ReduxForm)');

      _assert.default.equal(form.length, 1);
    });
    it('should pass `filterValues` as `initialValues` props', function () {
      var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Filter.Filter, (0, _extends2.default)({}, defaultProps, {
        filterValues: {
          q: 'Lorem'
        }
      })));
      var form = wrapper.find('withProps(ReduxForm)').first();

      _assert.default.deepEqual(form.prop('initialValues'), {
        q: 'Lorem'
      });
    });
  });
});