"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _assert = _interopRequireDefault(require("assert"));

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _redux = require("redux");

var _reactRedux = require("react-redux");

var _styles = require("@material-ui/core/styles");

var _raCore = require("ra-core");

var _FilterForm = _interopRequireWildcard(require("../FilterForm"));

var _TextInput = _interopRequireDefault(require("../../input/TextInput"));

describe('<FilterForm />', function () {
  var defaultProps = {
    resource: 'post',
    filters: [],
    setFilter: function setFilter() {},
    hideFilter: function hideFilter() {},
    displayedFilters: {},
    filterValues: {}
  };
  var store;
  beforeEach(function () {
    store = (0, _redux.createStore)(function () {
      return {
        i18n: {
          locale: 'en'
        }
      };
    });
  });
  it('should display correctly passed filters', function () {
    var filters = [_react.default.createElement(_TextInput.default, {
      source: "title",
      label: "Title"
    })];
    var displayedFilters = {
      title: true
    };
    var muiTheme = (0, _styles.createMuiTheme)({
      userAgent: false
    });
    var wrapper = (0, _enzyme.render)(_react.default.createElement(_reactRedux.Provider, {
      store: store
    }, _react.default.createElement(_raCore.TranslationProvider, null, _react.default.createElement(_styles.MuiThemeProvider, {
      theme: muiTheme
    }, _react.default.createElement(_FilterForm.default, (0, _extends2.default)({}, defaultProps, {
      filters: filters,
      displayedFilters: displayedFilters
    }))))));
    var titleFilter = wrapper.find('input[type="text"]');

    _assert.default.equal(titleFilter.length, 1);
  });
  describe('mergeInitialValuesWithDefaultValues', function () {
    it('should correctly merge initial values with the default values of the alwayson filters', function () {
      var initialValues = {
        title: 'initial title'
      };
      var filters = [{
        props: {
          source: 'title',
          alwaysOn: true,
          defaultValue: 'default title'
        }
      }, {
        props: {
          source: 'url',
          alwaysOn: true,
          defaultValue: 'default url'
        }
      }, {
        props: {
          source: 'author.name',
          alwaysOn: true,
          defaultValue: 'default author'
        }
      }, {
        props: {
          source: 'notMe',
          defaultValue: 'default url'
        }
      }, {
        props: {
          source: 'notMeEither'
        }
      }];

      _assert.default.deepEqual((0, _FilterForm.mergeInitialValuesWithDefaultValues)({
        initialValues: initialValues,
        filters: filters
      }), {
        initialValues: {
          title: 'initial title',
          url: 'default url',
          author: {
            name: 'default author'
          }
        }
      });
    });
  });
});