"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _assert = _interopRequireDefault(require("assert"));

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _raCore = require("ra-core");

var _List = require("../List");

describe('<List />', function () {
  var defaultProps = {
    filterValues: {},
    hasCreate: false,
    ids: [],
    isLoading: false,
    location: {
      pathname: ''
    },
    params: {},
    push: function push() {},
    query: {},
    refresh: function refresh() {},
    resource: 'post',
    total: 100,
    translate: function translate(x) {
      return x;
    },
    version: 1
  };
  it('should render a mui Card', function () {
    var Datagrid = function Datagrid() {
      return _react.default.createElement("div", null, "datagrid");
    };

    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_List.ListView, defaultProps, _react.default.createElement(Datagrid, null)));

    _assert.default.equal(wrapper.find('CardContent').length, 1);
  });
  it('should render a toolbar, children and pagination', function () {
    var Filters = function Filters() {
      return _react.default.createElement("div", null, "filters");
    };

    var Pagination = function Pagination() {
      return _react.default.createElement("div", null, "pagination");
    };

    var Datagrid = function Datagrid() {
      return _react.default.createElement("div", null, "datagrid");
    };

    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_List.ListView, (0, _extends2.default)({
      filters: _react.default.createElement(Filters, null),
      pagination: _react.default.createElement(Pagination, null)
    }, defaultProps), _react.default.createElement(Datagrid, null)));
    expect(wrapper.find('translate(WithStyles(BulkActionsToolbar))')).toHaveLength(1);
    expect(wrapper.find('Datagrid')).toHaveLength(1);
    expect(wrapper.find('Pagination')).toHaveLength(1);
  });
  var defaultListProps = {
    basePath: '/foo',
    ids: [],
    data: {},
    hasCreate: false,
    hasEdit: false,
    hasList: false,
    hasShow: false,
    location: {},
    match: {},
    resource: 'foo',
    total: 0
  };
  var defaultStoreForList = {
    admin: {
      resources: {
        foo: {
          list: {
            ids: [],
            params: {},
            selectedIds: [],
            total: 0
          }
        }
      }
    }
  };
  it('should display aside component', function () {
    var Dummy = function Dummy() {
      return _react.default.createElement("div", null);
    };

    var Aside = function Aside() {
      return _react.default.createElement("div", {
        id: "aside"
      }, "Hello");
    };

    var wrapper = (0, _enzyme.render)(_react.default.createElement(_raCore.TestContext, {
      store: defaultStoreForList
    }, _react.default.createElement(_List.List, (0, _extends2.default)({}, defaultListProps, {
      aside: _react.default.createElement(Aside, null)
    }), _react.default.createElement(Dummy, null))));
    var aside = wrapper.find('#aside');
    expect(aside.text()).toEqual('Hello');
  });
});