"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _Pagination = require("../Pagination");

describe('<Pagination />', function () {
  it('should display a pagination limit when there is no result', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Pagination.Pagination, {
      translate: function translate(x) {
        return x;
      },
      total: 0,
      changeFormValue: function changeFormValue() {
        return true;
      },
      changeListParams: function changeListParams() {
        return true;
      }
    }));
    expect(wrapper.find('pure(translate(PaginationLimit))')).toHaveLength(1);
  });
  it('should not display a pagination limit when there are results', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Pagination.Pagination, {
      translate: function translate(x) {
        return x;
      },
      total: 1,
      ids: [1],
      changeFormValue: function changeFormValue() {
        return true;
      },
      changeListParams: function changeListParams() {
        return true;
      }
    }));
    expect(wrapper.find('pure(translate(PaginationLimit))')).toHaveLength(0);
  });
  it('should not display a pagination limit on an out of bounds page', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Pagination.Pagination, {
      translate: function translate(x) {
        return x;
      },
      total: 10,
      ids: [],
      page: 2,
      perPage: 10,
      changeFormValue: function changeFormValue() {
        return true;
      },
      changeListParams: function changeListParams() {
        return true;
      }
    }));
    expect(wrapper.find('pure(translate(PaginationLimit))')).toHaveLength(0);
  });
  describe('mobile', function () {
    it('should render a <TablePagination> without rowsPerPage choice', function () {
      var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_Pagination.Pagination, {
        page: 2,
        perPage: 5,
        total: 15,
        translate: function translate(x) {
          return x;
        }
      })).shallow().shallow().setProps({
        width: 'xs'
      }).shallow().shallow();
      var pagination = wrapper.find('pure(translate(PaginationActions))');
      expect(pagination.prop('rowsPerPage')).toEqual(5);
    });
  });
});