"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _PaginationActions = require("../PaginationActions");

describe('<PaginationActions />', function () {
  it('should not render any actions when no pagination is necessary', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_PaginationActions.PaginationActions, {
      page: 0,
      rowsPerPage: 20,
      count: 15,
      translate: function translate(x) {
        return x;
      },
      onChangePage: function onChangePage() {
        return null;
      },
      classes: {}
    }));
    expect(wrapper.find('WithStyles(Button)')).toHaveLength(0);
    expect(wrapper.find('WithStyles(Typography)')).toHaveLength(0);
  });
  it('should render action buttons when pagination is necessary', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_PaginationActions.PaginationActions, {
      page: 0,
      rowsPerPage: 5,
      count: 15,
      translate: function translate(x) {
        return x;
      },
      onChangePage: function onChangePage() {
        return null;
      },
      classes: {}
    }));
    expect(wrapper.find('PaginationItem')).toHaveLength(4);
  });
  it('should skip page action buttons when there are too many', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_PaginationActions.PaginationActions, {
      page: 7,
      rowsPerPage: 1,
      count: 15,
      translate: function translate(x) {
        return x;
      },
      onChangePage: function onChangePage() {
        return null;
      },
      classes: {}
    }));
    expect(wrapper.find('PaginationItem')).toHaveLength(9);
  });
});